package gov.va.med.fw.io;

import gov.va.med.fw.util.AbstractContextAwareTestCase;
/**
 * 
 * @author Rajiv Patnaik
 * Created on Mar 31, 2006
 * @version 1.0
 * 
 * Copyright © 2006 VHA. All rights reserved
 */
public class MappedDataTransformerTest extends AbstractContextAwareTestCase
{
    public void testTransformData() throws Exception
    {
    	MappedDataTransformer ms = (MappedDataTransformer) applicationContext
                .getBean("common.mappedDataTransformer");
    	
    	String value = (String)ms.transformData(null, "JAY");
    	assertEquals("value does not match ", "LENO", value);

    	value = (String)ms.transformData(null, "O BRIAN");
    	assertEquals("value does not match ", "SUCKS", value);
    	
    }
}
